import java.sql.Time;

public class ATM {

	private int minimumAmount;
	private int maximumAmount;
	private int limitTimeForOperation;
    private int totalFund;
    private int maximum_withdrawar_pday_pacc;
    private int maximum_withdrawar_ptrans;

	/**
	 * 
	 * @param password
	 */
	public String verify(String password) {
		// TODO - implement ATM.verify
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @param accountNum
	 */
	public void readAccountNum(int accountNum) {
		// TODO - implement ATM.readAccountNum
		throw new UnsupportedOperationException();
	}

	public Message checkAvailabilityOfCashInATM() {
		// TODO - implement ATM.checkAvailabilityOfCashInATM
		throw new UnsupportedOperationException();
	}

	public Message verifyInputAmount() {
		// TODO - implement ATM.verifyInputAmount
		throw new UnsupportedOperationException();
	}

	public Time checkTime() {
		// TODO - implement ATM.checkTime
		throw new UnsupportedOperationException();
	}

	public int getMinimumAmount() {
		return minimumAmount;
	}

	public int getMaximumAmount() {
		return maximumAmount;
	}

	public int getLimitTimeForOperation() {
		return limitTimeForOperation;
	}

	public void setMinimumAmount(int minimumAmount) {
		this.minimumAmount = minimumAmount;
	}

	public void setMaximumAmount(int maximumAmount) {
		this.maximumAmount = maximumAmount;
	}

	public void setLimitTimeForOperation(int limitTimeForOperation) {
		this.limitTimeForOperation = limitTimeForOperation;
	}
	
    public int getMaximum_withdrawar_pday_pacc() {
		return maximum_withdrawar_pday_pacc;
	}

	public void setMaximum_withdrawar_pday_pacc(int maximum_withdrawar_pday_pacc) {
		this.maximum_withdrawar_pday_pacc = maximum_withdrawar_pday_pacc;
	}

	public int getMaximum_withdrawar_ptrans() {
		return maximum_withdrawar_ptrans;
	}

	public void setMaximum_withdrawar_ptrans(int maximum_withdrawar_ptrans) {
		this.maximum_withdrawar_ptrans = maximum_withdrawar_ptrans;
	}


	public int getTotalFund() {
		return totalFund;
	}

	public void setTotalFund(int totalFund) {
		this.totalFund = totalFund;
	}

}
